using System;
using ZR.Model;
using ZR.Model.Dto;
using ZR.Model.Models;
using System.Collections.Generic;
using ZR.Model.Dto.OutStore;
using ZR.Model.Models.Inspect;

namespace ZR.Service.Business.IBusinessService.OutStore
{
    /// <summary>
    /// service接口
    ///
    /// @author admin
    /// @date 2023-05-10
    /// </summary>
    public interface ISapOutTaskRecordService : IBaseService<SapOutTaskRecord>
    {
        PagedInfo<SapOutTaskRecordDto> GetList(SapOutTaskRecordQueryDto parm);

        int AddSapOutTaskRecord(SapOutTaskRecord parm);

        int UpdateSapOutTaskRecord(SapOutTaskRecord parm);
        
        void TruncateSapOutTaskRecord();
        List<SapOutTaskDto> GetSapOutTaskList(SapOutTaskQueryNoPageDto parm);
        List<SapOutTaskRecordDto> GetSapOutTaskRecordList(string outTaskNo);

        string ImportDatas(List<SapOutTaskRecord> list);

    }
}
